Exiv2: Action::Print Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Action::Print Class Reference

Print the Exif (or other metadata) of a file to stdout More...

`#include <actions.hpp>`

Inheritance diagram for Action::Print:

[legend]
Collaboration diagram for Action::Print:

[legend]

List of all members.

## Public Types
typedef std::auto_ptr< Print > | AutoPtr
| Shortcut for an auto pointer.
## Public Member Functions
virtual int | run (const std::string &path)
| Application interface to perform a task.
AutoPtr | clone () const
| Virtual copy construction.
int | printComment ()
| Print the Jpeg comment.
int | printIptc ()
| Print uninterpreted Iptc information.
int | printXmp ()
| print uninterpreted XMP information
int | printSummary ()
| Print Exif summary information.
int | printList ()
| Print the list of Exif data in user defined format.
void | printLabel (const std::string &label) const
| Print the label for a summary line.
int | printTag (const Exiv2::ExifData &exifData, const std::string &key, const std::string &label="") const
| Print one summary line with a label (if provided) and requested data. A line break is printed only if a label is provided.

## Detailed Description

Print the Exif (or other metadata) of a file to stdout

## Member Function Documentation

int Action::Print::run | ( | const std::string & | path | ) | `[virtual]`

Application interface to perform a task.

Parameters:

  | path | Path of the file to process.

Returns:
  0 if successful.

Implements Action::Task.

int Action::Print::printTag | ( | const Exiv2::ExifData & | exifData,
|  | const std::string & | key,
|  | const std::string & | label = `""` |
| ) |  |  | const

Print one summary line with a label (if provided) and requested data. A line break is printed only if a label is provided.

Returns:
  1 if a line was written, 0 if the key was not found.

The documentation for this class was generated from the following files:

- actions.hpp
- actions.cpp